<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PrestamosProcess</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PrestamosProcess";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PrestamosProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/PrestamoClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/UserClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/PrestamosProcess.html" target="_top">Frames</a></li>
<li><a href="PrestamosProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class PrestamosProcess" class="title">Class PrestamosProcess</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.PrestamosProcess</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PrestamosProcess</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#PrestamosProcess--">PrestamosProcess</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#devolverLibro-java.lang.String-java.lang.String-">devolverLibro</a></span>(java.lang.String&nbsp;ISBN,
             java.lang.String&nbsp;nCarnet)</code>
<div class="block">Devolucion de un libro<br>
 
 Metodo para la devolucion por parte de un usuario de un libro.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.sql.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#getFechaActual--">getFechaActual</a></span>()</code>
<div class="block">Obtencion de Objeto Date.sql<br>
 
 Metodo que devolvera un objeto de la clase Date.sql</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isDevueltoBook-java.lang.String-java.lang.String-">isDevueltoBook</a></span>(java.lang.String&nbsp;ISBN,
              java.lang.String&nbsp;nCarnet)</code>
<div class="block">Responde si un libro se a devuelto <br></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isPrestadoBook-java.lang.String-java.lang.String-">isPrestadoBook</a></span>(java.lang.String&nbsp;ISBN,
              java.lang.String&nbsp;nCarnet)</code>
<div class="block">Existencia de un prestamo <br>
 
 Metodo para saber si un libro esta actualemente en prestamo introduciendo el numero
 de ISBNy el numero de carnet</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isPrestadoBookOnlyIsbn-java.lang.String-">isPrestadoBookOnlyIsbn</a></span>(java.lang.String&nbsp;ISBN)</code>
<div class="block">Comprobacion de la existencia de un libro concreto prestado <br>
 Metodo para saber si un libro esta actualemente en prestamo introduciendo solamente el numero ISBN</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#prestarLibro-java.lang.String-java.lang.String-">prestarLibro</a></span>(java.lang.String&nbsp;ISBN,
            java.lang.String&nbsp;nCarnet)</code>
<div class="block">Prestamo de un libro<br>
 
 Metodo para el prestamo por parte de un usuario de un libro.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#showHistorialPrestamosUsuario-java.lang.String-">showHistorialPrestamosUsuario</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Devulve un ArrayList con el historial de prestamos de libros de un usuario <br></div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#showPrestamosActualesUsuario-java.lang.String-">showPrestamosActualesUsuario</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Devulve un ArrayList con los prestamos actuales de libros de un usuario <br></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PrestamosProcess--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PrestamosProcess</h4>
<pre>public&nbsp;PrestamosProcess()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="prestarLibro-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prestarLibro</h4>
<pre>public&nbsp;boolean&nbsp;prestarLibro(java.lang.String&nbsp;ISBN,
                            java.lang.String&nbsp;nCarnet)
                     throws java.sql.SQLException,
                            java.text.ParseException</pre>
<div class="block">Prestamo de un libro<br>
 
 Metodo para el prestamo por parte de un usuario de un libro.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ISBN</code> - parametro cuyo valor correspondera con el numero de ISBN  de un libro</dd>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
<dd><code>java.text.ParseException</code> - Excepcion de tipo parse</dd>
</dl>
</li>
</ul>
<a name="devolverLibro-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>devolverLibro</h4>
<pre>public&nbsp;boolean&nbsp;devolverLibro(java.lang.String&nbsp;ISBN,
                             java.lang.String&nbsp;nCarnet)
                      throws java.sql.SQLException</pre>
<div class="block">Devolucion de un libro<br>
 
 Metodo para la devolucion por parte de un usuario de un libro.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ISBN</code> - parametro cuyo valor correspondera con el numero de ISBN  de un libro</dd>
<dd><code>nCarnet</code> - parametro cuyo valor correspondera con el numero de carnet del usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getFechaActual--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFechaActual</h4>
<pre>public&nbsp;java.sql.Date&nbsp;getFechaActual()</pre>
<div class="block">Obtencion de Objeto Date.sql<br>
 
 Metodo que devolvera un objeto de la clase Date.sql</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Retorna un objeto Date.sql con la fecha del dia en que se crea dicho objeto</dd>
</dl>
</li>
</ul>
<a name="isPrestadoBook-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPrestadoBook</h4>
<pre>public&nbsp;boolean&nbsp;isPrestadoBook(java.lang.String&nbsp;ISBN,
                              java.lang.String&nbsp;nCarnet)
                       throws java.sql.SQLException</pre>
<div class="block">Existencia de un prestamo <br>
 
 Metodo para saber si un libro esta actualemente en prestamo introduciendo el numero
 de ISBNy el numero de carnet</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ISBN</code> - String parametro correspondiente al numero ISBN de un libro</dd>
<dd><code>nCarnet</code> - String numero de carnet de usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isPrestadoBookOnlyIsbn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPrestadoBookOnlyIsbn</h4>
<pre>public&nbsp;boolean&nbsp;isPrestadoBookOnlyIsbn(java.lang.String&nbsp;ISBN)
                               throws java.sql.SQLException</pre>
<div class="block">Comprobacion de la existencia de un libro concreto prestado <br>
 Metodo para saber si un libro esta actualemente en prestamo introduciendo solamente el numero ISBN</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ISBN</code> - String - Numero del ISBN de un libro</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="isDevueltoBook-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDevueltoBook</h4>
<pre>public&nbsp;boolean&nbsp;isDevueltoBook(java.lang.String&nbsp;ISBN,
                              java.lang.String&nbsp;nCarnet)
                       throws java.sql.SQLException</pre>
<div class="block">Responde si un libro se a devuelto <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ISBN</code> - String numero de referencia de un libro</dd>
<dd><code>nCarnet</code> - String numero de carnet de un usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="showPrestamosActualesUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showPrestamosActualesUsuario</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;showPrestamosActualesUsuario(java.lang.String&nbsp;nCarnet)
                                                 throws java.sql.SQLException</pre>
<div class="block">Devulve un ArrayList con los prestamos actuales de libros de un usuario <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - String numero de carnet de usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="showHistorialPrestamosUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>showHistorialPrestamosUsuario</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;showHistorialPrestamosUsuario(java.lang.String&nbsp;nCarnet)
                                                  throws java.sql.SQLException</pre>
<div class="block">Devulve un ArrayList con el historial de prestamos de libros de un usuario <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - String numero de carnet de usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PrestamosProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/PrestamoClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/UserClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/PrestamosProcess.html" target="_top">Frames</a></li>
<li><a href="PrestamosProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
